import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_GetVectorEnrichmentJobCommand, se_GetVectorEnrichmentJobCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class GetVectorEnrichmentJobCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("SageMakerGeospatial", "GetVectorEnrichmentJob", {})
    .n("SageMakerGeospatialClient", "GetVectorEnrichmentJobCommand")
    .f(void 0, void 0)
    .ser(se_GetVectorEnrichmentJobCommand)
    .de(de_GetVectorEnrichmentJobCommand)
    .build() {
}
