import { HttpRequest as __HttpRequest, HttpResponse as __HttpResponse } from "@smithy/protocol-http";
import { SdkStreamSerdeContext as __SdkStreamSerdeContext, SerdeContext as __SerdeContext } from "@smithy/types";
import { DeleteEarthObservationJobCommandInput, DeleteEarthObservationJobCommandOutput } from "../commands/DeleteEarthObservationJobCommand";
import { DeleteVectorEnrichmentJobCommandInput, DeleteVectorEnrichmentJobCommandOutput } from "../commands/DeleteVectorEnrichmentJobCommand";
import { ExportEarthObservationJobCommandInput, ExportEarthObservationJobCommandOutput } from "../commands/ExportEarthObservationJobCommand";
import { ExportVectorEnrichmentJobCommandInput, ExportVectorEnrichmentJobCommandOutput } from "../commands/ExportVectorEnrichmentJobCommand";
import { GetEarthObservationJobCommandInput, GetEarthObservationJobCommandOutput } from "../commands/GetEarthObservationJobCommand";
import { GetRasterDataCollectionCommandInput, GetRasterDataCollectionCommandOutput } from "../commands/GetRasterDataCollectionCommand";
import { GetTileCommandInput, GetTileCommandOutput } from "../commands/GetTileCommand";
import { GetVectorEnrichmentJobCommandInput, GetVectorEnrichmentJobCommandOutput } from "../commands/GetVectorEnrichmentJobCommand";
import { ListEarthObservationJobsCommandInput, ListEarthObservationJobsCommandOutput } from "../commands/ListEarthObservationJobsCommand";
import { ListRasterDataCollectionsCommandInput, ListRasterDataCollectionsCommandOutput } from "../commands/ListRasterDataCollectionsCommand";
import { ListTagsForResourceCommandInput, ListTagsForResourceCommandOutput } from "../commands/ListTagsForResourceCommand";
import { ListVectorEnrichmentJobsCommandInput, ListVectorEnrichmentJobsCommandOutput } from "../commands/ListVectorEnrichmentJobsCommand";
import { SearchRasterDataCollectionCommandInput, SearchRasterDataCollectionCommandOutput } from "../commands/SearchRasterDataCollectionCommand";
import { StartEarthObservationJobCommandInput, StartEarthObservationJobCommandOutput } from "../commands/StartEarthObservationJobCommand";
import { StartVectorEnrichmentJobCommandInput, StartVectorEnrichmentJobCommandOutput } from "../commands/StartVectorEnrichmentJobCommand";
import { StopEarthObservationJobCommandInput, StopEarthObservationJobCommandOutput } from "../commands/StopEarthObservationJobCommand";
import { StopVectorEnrichmentJobCommandInput, StopVectorEnrichmentJobCommandOutput } from "../commands/StopVectorEnrichmentJobCommand";
import { TagResourceCommandInput, TagResourceCommandOutput } from "../commands/TagResourceCommand";
import { UntagResourceCommandInput, UntagResourceCommandOutput } from "../commands/UntagResourceCommand";
/**
 * serializeAws_restJson1DeleteEarthObservationJobCommand
 */
export declare const se_DeleteEarthObservationJobCommand: (input: DeleteEarthObservationJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteVectorEnrichmentJobCommand
 */
export declare const se_DeleteVectorEnrichmentJobCommand: (input: DeleteVectorEnrichmentJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ExportEarthObservationJobCommand
 */
export declare const se_ExportEarthObservationJobCommand: (input: ExportEarthObservationJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ExportVectorEnrichmentJobCommand
 */
export declare const se_ExportVectorEnrichmentJobCommand: (input: ExportVectorEnrichmentJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetEarthObservationJobCommand
 */
export declare const se_GetEarthObservationJobCommand: (input: GetEarthObservationJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetRasterDataCollectionCommand
 */
export declare const se_GetRasterDataCollectionCommand: (input: GetRasterDataCollectionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetTileCommand
 */
export declare const se_GetTileCommand: (input: GetTileCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetVectorEnrichmentJobCommand
 */
export declare const se_GetVectorEnrichmentJobCommand: (input: GetVectorEnrichmentJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListEarthObservationJobsCommand
 */
export declare const se_ListEarthObservationJobsCommand: (input: ListEarthObservationJobsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListRasterDataCollectionsCommand
 */
export declare const se_ListRasterDataCollectionsCommand: (input: ListRasterDataCollectionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListTagsForResourceCommand
 */
export declare const se_ListTagsForResourceCommand: (input: ListTagsForResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListVectorEnrichmentJobsCommand
 */
export declare const se_ListVectorEnrichmentJobsCommand: (input: ListVectorEnrichmentJobsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1SearchRasterDataCollectionCommand
 */
export declare const se_SearchRasterDataCollectionCommand: (input: SearchRasterDataCollectionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1StartEarthObservationJobCommand
 */
export declare const se_StartEarthObservationJobCommand: (input: StartEarthObservationJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1StartVectorEnrichmentJobCommand
 */
export declare const se_StartVectorEnrichmentJobCommand: (input: StartVectorEnrichmentJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1StopEarthObservationJobCommand
 */
export declare const se_StopEarthObservationJobCommand: (input: StopEarthObservationJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1StopVectorEnrichmentJobCommand
 */
export declare const se_StopVectorEnrichmentJobCommand: (input: StopVectorEnrichmentJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1TagResourceCommand
 */
export declare const se_TagResourceCommand: (input: TagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UntagResourceCommand
 */
export declare const se_UntagResourceCommand: (input: UntagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * deserializeAws_restJson1DeleteEarthObservationJobCommand
 */
export declare const de_DeleteEarthObservationJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteEarthObservationJobCommandOutput>;
/**
 * deserializeAws_restJson1DeleteVectorEnrichmentJobCommand
 */
export declare const de_DeleteVectorEnrichmentJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteVectorEnrichmentJobCommandOutput>;
/**
 * deserializeAws_restJson1ExportEarthObservationJobCommand
 */
export declare const de_ExportEarthObservationJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ExportEarthObservationJobCommandOutput>;
/**
 * deserializeAws_restJson1ExportVectorEnrichmentJobCommand
 */
export declare const de_ExportVectorEnrichmentJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ExportVectorEnrichmentJobCommandOutput>;
/**
 * deserializeAws_restJson1GetEarthObservationJobCommand
 */
export declare const de_GetEarthObservationJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetEarthObservationJobCommandOutput>;
/**
 * deserializeAws_restJson1GetRasterDataCollectionCommand
 */
export declare const de_GetRasterDataCollectionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetRasterDataCollectionCommandOutput>;
/**
 * deserializeAws_restJson1GetTileCommand
 */
export declare const de_GetTileCommand: (output: __HttpResponse, context: __SerdeContext & __SdkStreamSerdeContext) => Promise<GetTileCommandOutput>;
/**
 * deserializeAws_restJson1GetVectorEnrichmentJobCommand
 */
export declare const de_GetVectorEnrichmentJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetVectorEnrichmentJobCommandOutput>;
/**
 * deserializeAws_restJson1ListEarthObservationJobsCommand
 */
export declare const de_ListEarthObservationJobsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListEarthObservationJobsCommandOutput>;
/**
 * deserializeAws_restJson1ListRasterDataCollectionsCommand
 */
export declare const de_ListRasterDataCollectionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListRasterDataCollectionsCommandOutput>;
/**
 * deserializeAws_restJson1ListTagsForResourceCommand
 */
export declare const de_ListTagsForResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTagsForResourceCommandOutput>;
/**
 * deserializeAws_restJson1ListVectorEnrichmentJobsCommand
 */
export declare const de_ListVectorEnrichmentJobsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListVectorEnrichmentJobsCommandOutput>;
/**
 * deserializeAws_restJson1SearchRasterDataCollectionCommand
 */
export declare const de_SearchRasterDataCollectionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<SearchRasterDataCollectionCommandOutput>;
/**
 * deserializeAws_restJson1StartEarthObservationJobCommand
 */
export declare const de_StartEarthObservationJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StartEarthObservationJobCommandOutput>;
/**
 * deserializeAws_restJson1StartVectorEnrichmentJobCommand
 */
export declare const de_StartVectorEnrichmentJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StartVectorEnrichmentJobCommandOutput>;
/**
 * deserializeAws_restJson1StopEarthObservationJobCommand
 */
export declare const de_StopEarthObservationJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StopEarthObservationJobCommandOutput>;
/**
 * deserializeAws_restJson1StopVectorEnrichmentJobCommand
 */
export declare const de_StopVectorEnrichmentJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StopVectorEnrichmentJobCommandOutput>;
/**
 * deserializeAws_restJson1TagResourceCommand
 */
export declare const de_TagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<TagResourceCommandOutput>;
/**
 * deserializeAws_restJson1UntagResourceCommand
 */
export declare const de_UntagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UntagResourceCommandOutput>;
